/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Util;

import java.util.Calendar;

/**
 *
 * @author timperez 
 * see https://gist.github.com/timperez/9555657
 */
public class CalendarUtil {
    
    public static boolean isBusinessDay(Calendar cal){
	// check if weekend
	if(cal.get(Calendar.DAY_OF_WEEK) == Calendar.SATURDAY || cal.get(Calendar.DAY_OF_WEEK) == Calendar.SUNDAY){
		return false;
	}
	
	// check if New Year's Day
	if (cal.get(Calendar.MONTH) == Calendar.JANUARY
		&& cal.get(Calendar.DAY_OF_MONTH) == 1) {
		return false;
	}
	
	// check if Christmas
	if (cal.get(Calendar.MONTH) == Calendar.DECEMBER
		&& cal.get(Calendar.DAY_OF_MONTH) == 25) {
		return false;
	}
	
	// IF NOTHING ELSE, IT'S A BUSINESS DAY
	return true;
    }
}
